

#### Lab 2 - Introdcution with Volatilty 

For this lab, we will be analysing a linux memory dump from a binary that was obtained from the honeypot. 


The process that is associated with the malware is "krn" 

All of the artefacts will in the the folder memoryanalysis. 

#### Analysis with Volatility 

With the memory acquired, we will explore Volatility 

1. Basic usage is as follows: volatility --plugins=.  -f <memory-dump> --profiles=<profile of OS kernel> <OScommands>. Let's try to find the linux banner first. 
	- cd ~/memoryanalysis 
	- volatility --plugins=. -f memUbuntu.raw --profile=LinuxUbuntu_4_4_0-21x64 linux_banner
	- Note: This plugin gives us information about the build of the system like the kernel version
	
2. You can find other commands that are available to Linux profile. 
	- volatility --plugins=. --info | grep -i Linux | less  
	- Question: Can you see how some of the commands can be useful? 


3. linux_pslist - the linux_pslist enumerates all the active processes in the system.
	- volatility --plugins=. -f memUbuntu.raw --profile=LinuxUbuntu_4_4_0-21x64 linux_pslist 
	- What are the interesting process you see there related to our malware? 
	- Note: You can also use linux_pstree to get a better understanding of the parent-child relationships between various processes.


4. linux_ifconfig - The linux_ifconfig plugin gives us the information about all the active interfaces, associated IPs in the system.
	- volatility --plugins=. -f memUbuntu.raw --profile=LinuxUbuntu_4_4_0-21x64 linux_ifconfig

5. linux_bash - Retrieving history of executed commands is always a valuable forensic artefact. It can give us an insight into what the adversary might’ve executed on the system. When analysing windows memory dumps, we use the plugin cmdscan for retrieving command history. In the case of Linux memory dumps, we use linux_bash
	
	- volatility --plugins=. -f memUbuntu.raw --profile=LinuxUbuntu_4_4_0-21x64 linux_bash 
    - note for this exercise this command has no output

6. linux_enumerate_files - Listing & extracting open files from a memory dump is always necessary. The attacker might open text documents, word documents, images or PDFs etc… These files may contain extremely valuable information and help us get a better idea about the scenario.

	- volatility --plugins=. -f memUbuntu.raw --profile=LinuxUbuntu_4_4_0-21x64 linux_enumerate_files 
	- Note: This plugin gives us the inode address (which is the base address of the file), the inode number and the full path to file.

	- Note: The linux_find_file plugin is used to extract the files based on their inode address and dump them to disk.



eof.  
